Package be.fgov.ehealth.rn.cbsspersonservice.core.v1

# Class RegisterPersonDeclarationType

java.lang.Object
be.fgov.ehealth.rn.cbsspersonservice.core.v1.RegisterPersonDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class RegisterPersonDeclarationType extends Object implements Serializable
Type definiting the business information of the register person capability

Java class for RegisterPersonDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegisterPersonDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Person" type="{urn:be:fgov:ehealth:rn:cbsspersonlegaldata:v1}CbssPersonRequestType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterPersonDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CbssPersonRequestType`
  `getPerson()`
  Element containing the person information to be used to register a person
  `void`
  `setPerson(CbssPersonRequestType value)`
  Sets the value of the person property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterPersonDeclarationType

    public RegisterPersonDeclarationType()

- ## Method Details

  - ### getPerson

    public CbssPersonRequestType getPerson()
    Element containing the person information to be used to register a person
    Returns:
      possible object is `CbssPersonRequestType`

  - ### setPerson

    public void setPerson(CbssPersonRequestType value)
    Sets the value of the person property.
    Parameters:
      `value` - allowed object is `CbssPersonRequestType`
    See Also:
      - `getPerson()`